Bluetooth not working (Intel CyclonePeak)

Bug #1817518 reported by You-Sheng Yang on 2019-02-25
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
High
Unassigned
linux (Ubuntu)
Undecided
You-Sheng Yang
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
linux-firmware (Ubuntu)
Undecided
You-Sheng Yang
Xenial
Undecided
Unassigned
Bionic
Undecided
Unassigned
Cosmic
Undecided
Unassigned
Disco
Undecided
You-Sheng Yang

Bug Description

[Impact]
New Intel bluetooth device 8087:0029 takes a new ID to be enabled, or the device will not work.

[Fix]
2da711bcebe81 Bluetooth: btusb: Add support for Intel bluetooth device 8087:0029

This change requires new firmware blob as well, which is to be upstreamed & backported from linux-firmware.

[Test Case]
Verified on AX200NGW & 22560NGW chips. Use hciconfig to list probed hci device.

[Regression Risk]
Low. This patch effectively adds new id match for a unsupported (yet) device. The most lines of the patches actually introduces an helper function that generates firmware blob name.

You-Sheng Yang (vicamo) on 2019-02-26
tags: added: originate-from-1813693 somerville
You-Sheng Yang (vicamo) on 2019-02-27
description: updated
You-Sheng Yang (vicamo) wrote :

Mark Xenial as WONTFIX per patch review comment.

Stefan Bader (smb) on 2019-02-28
affects: ubuntu → linux (Ubuntu)
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-cosmic' to 'verification-done-cosmic'. If the problem still exists, change the tag 'verification-needed-cosmic' to 'verification-failed-cosmic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-cosmic
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-bionic' to 'verification-done-bionic'. If the problem still exists, change the tag 'verification-needed-bionic' to 'verification-failed-bionic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-bionic
Launchpad Janitor (janitor) wrote :
Download full text (25.4 KiB)

This bug was fixed in the package linux - 4.15.0-47.50

---------------
linux (4.15.0-47.50) bionic; urgency=medium

  * linux: 4.15.0-47.50 -proposed tracker (LP: #1819716)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts
    - [Packaging] resync retpoline extraction

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Don't use dc_link in link_encoder
    - drm/amd/display: Move wait for hpd ready out from edp power control.
    - drm/amd/display: eDP sequence BL off first then DP blank.
    - drm/amd/display: Fix unused variable compilation error
    - drm/amd/display: Fix warning about misaligned code
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * raw_skew in timer from the ubuntu_kernel_selftests failed on Bionic
    (LP: #1811194)
    - selftest: timers: Tweak raw_skew to SKIP when ADJ_OFFSET/other clock
      adjustments are in progress

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: properly enforce index mask to prevent out-of-bounds speculation
    - bpf: fix inner map masking to prevent oob under speculation

  * BPF: kernel pointer leak to unprivileged userspace (LP: #1815259)
    - bpf/verifier: disallow pointer subtraction

  * squashfs hardening (LP: #1816756)
    - squashfs: more metadata hardening
    - squashfs metadata 2: electric boogaloo
    - squashfs: more metadata hardening
    - Squashfs: Compute expected length from inode size rather than block length

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (5.0 KiB)

This bug was fixed in the package linux - 4.18.0-17.18

---------------
linux (4.18.0-17.18) cosmic; urgency=medium

  * linux: 4.18.0-17.18 -proposed tracker (LP: #1819624)

  * Packaging resync (LP: #1786013)
    - [Packaging] resync getabis
    - [Packaging] update helper scripts

  * C++ demangling support missing from perf (LP: #1396654)
    - [Packaging] fix a mistype

  * arm-smmu-v3 arm-smmu-v3.3.auto: CMD_SYNC timeout (LP: #1818162)
    - iommu/arm-smmu-v3: Fix unexpected CMD_SYNC timeout

  * Crash in nvme_irq_check() when using threaded interrupts (LP: #1818747)
    - nvme-pci: fix out of bounds access in nvme_cqe_pending

  * CVE-2019-9003
    - ipmi: fix use-after-free of user->release_barrier.rda

  * CVE-2019-9162
    - netfilter: nf_nat_snmp_basic: add missing length checks in ASN.1 cbs

  * CVE-2019-9213
    - mm: enforce min addr even if capable() in expand_downwards()

  * CVE-2019-3460
    - Bluetooth: Check L2CAP option sizes returned from l2cap_get_conf_opt

  * tun/tap: unable to manage carrier state from userland (LP: #1806392)
    - tun: implement carrier change

  * CVE-2019-8980
    - exec: Fix mem leak in kernel_read_file

  * [Packaging] Allow overlay of config annotations (LP: #1752072)
    - [Packaging] config-check: Add an include directive

  * amdgpu with mst WARNING on blanking (LP: #1814308)
    - drm/amd/display: Fix MST dp_blank REG_WAIT timeout

  * CVE-2019-7308
    - bpf: move {prev_,}insn_idx into verifier env
    - bpf: move tmp variable into ax register in interpreter
    - bpf: enable access to ax register also from verifier rewrite
    - bpf: restrict map value pointer arithmetic for unprivileged
    - bpf: restrict stack pointer arithmetic for unprivileged
    - bpf: restrict unknown scalars of mixed signed bounds for unprivileged
    - bpf: fix check_map_access smin_value test when pointer contains offset
    - bpf: prevent out of bounds speculation on pointer arithmetic
    - bpf: fix sanitation of alu op with pointer / scalar type from different
      paths
    - bpf: add various test cases to test_verifier
    - bpf: add various test cases to selftests

  * CVE-2017-5753
    - bpf: fix inner map masking to prevent oob under speculation

  * Use memblock quirk instead of delayed allocation for GICv3 LPI tables
    (LP: #1816425)
    - efi/arm: Revert "Defer persistent reservations until after paging_init()"
    - arm64, mm, efi: Account for GICv3 LPI tables in static memblock reserve
      table

  * efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted (LP: #1814982)
    - efi/arm/arm64: Allow SetVirtualAddressMap() to be omitted

  * Update ENA driver to version 2.0.3K (LP: #1816806)
    - net: ena: update driver version from 2.0.2 to 2.0.3
    - net: ena: fix race between link up and device initalization
    - net: ena: fix crash during failed resume from hibernation

  * Silent "Unknown key" message when pressing keyboard backlight hotkey
    (LP: #1817063)
    - platform/x86: dell-wmi: Ignore new keyboard backlight change event

  * CVE-2018-19824
    - ALSA: usb-audio: Fix UAF decrement if card has no live interfaces in card.c

  * CVE-2019-3459
    - Bluetooth: Verify that l2cap_get...

Read more...

Changed in linux (Ubuntu Cosmic):
status: Fix Committed → Fix Released
You-Sheng Yang (vicamo) on 2019-04-10
Changed in linux-firmware (Ubuntu):
assignee: nobody → You-Sheng Yang (vicamo)
no longer affects: linux (Ubuntu Disco)
Changed in linux-firmware (Ubuntu Xenial):
status: New → Won't Fix
Changed in linux (Ubuntu):
status: In Progress → Fix Released
Changed in linux-firmware (Ubuntu Bionic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Cosmic):
status: New → In Progress
Changed in linux-firmware (Ubuntu Disco):
status: New → In Progress
Seth Forshee (sforshee) on 2019-04-24
Changed in linux-firmware (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Cosmic):
status: In Progress → Fix Committed
Changed in linux-firmware (Ubuntu Disco):
status: In Progress → Fix Committed
You-Sheng Yang (vicamo) on 2019-04-29
tags: added: verification-done-bionic verification-done-cosmic
removed: verification-needed-bionic verification-needed-cosmic
Emily Chien (emily.chien) wrote :

There are couple of OEM images requires this fix and expected to be released next week. Can we expect the linux-firmware including this fix updated before May 15th, if possible?

Rex Tsai (chihchun) on 2019-05-07
tags: added: oem-priority
Changed in oem-priority:
importance: Undecided → High
tags: added: originate-from-1810708
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.179

---------------
linux-firmware (1.179) eoan; urgency=medium

  * Rebase against git://git.kernel.org/pub/scm/linux/kernel/git/firmware/linux-firmware.git
    7bc246451318b3536d9bfd3c4e46d541a9831b33
    - nfp: update Agilio SmartNIC flower firmware to rev AOTC-2.10.A.23
    - linux-firmware: update Marvell 8797/8997 firmware images
    - mediatek: update MT8173 VPU firmware to v1.1.2 [decoder] Enlarge struct vdec_pic_info to support more capture buffer plane and capture buffer format change.
    - linux-firmware: add firmware for MT7615E
    - linux-firmware: Update NXP Management Complex firmware to version 10.14.3
    - cxgb4: update firmware to revision 1.23.4.0
    - drm/i915/firmware: Add BXT GuC v32.0.3
    - drm/i915/firmware: Add SKL GuC v32.0.3
    - drm/i915/firmware: Add KBL GuC v32.0.3
    - drm/i915/firmware: Add GLK GuC v32.0.3
    - drm/i915/firmware: Add GLK HuC v03.01.2893
    - drm/i915/firmware: Add ICL GuC v32.0.3
    - drm/i915/firmware: Add ICL HuC v8.4.3238
    - Mellanox: Add new mlxsw_spectrum firmware 13.2000.1122
    - linux-firmware: update fw for qat devices
    - amdgpu: update picasso to the latest 19.10 firmware
    - amdgpu: update raven to the latest 19.10 firmware
    - amdgpu: update raven2 to the latest 19.10 firmware
    - amdgpu: update polaris10 to the latest 19.10 firmware
    - amdgpu: update polaris11 to the latest 19.10 firmware
    - amdgpu: update vega10 to the latest 19.10 firmware
    - amdgpu: update vega12 to the latest 19.10 firmware
    - amdgpu: update vega20 to the latest 19.10 firmware

  * Bluetooth not working (Intel CyclonePeak) (LP: #1817518)
    - linux-firmware: Add firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Wed, 08 May 2019 08:02:08 -0500

Changed in linux-firmware (Ubuntu):
status: In Progress → Fix Released

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.173.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.175.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Adam Conrad (adconrad) wrote :

Hello You-Sheng, or anyone else affected,

Accepted linux-firmware into disco-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.178.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-disco to verification-done-disco. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-disco. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

You-Sheng Yang (vicamo) wrote :

verified:
* bionic-proposed 1.173.6
* cosmic-proposed 1.175.4
* disco-proposed 1.178.1

tags: added: verification-done-disco
Changed in oem-priority:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.178.1

---------------
linux-firmware (1.178.1) disco; urgency=medium

  * Bluetooth not working (Intel CyclonePeak) (LP: #1817518)
    - linux-firmware: Add firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 07 May 2019 07:14:55 -0500

Changed in linux-firmware (Ubuntu Disco):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.175.4

---------------
linux-firmware (1.175.4) cosmic; urgency=medium

  * Bluetooth not working (Intel CyclonePeak) (LP: #1817518)
    - linux-firmware: Add firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 07 May 2019 07:05:41 -0500

Changed in linux-firmware (Ubuntu Cosmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.173.6

---------------
linux-firmware (1.173.6) bionic; urgency=medium

  * Bluetooth not working (Intel CyclonePeak) (LP: #1817518)
    - linux-firmware: Add firmware file for Intel Bluetooth 22161

 -- Seth Forshee <email address hidden> Tue, 07 May 2019 06:54:50 -0500

Changed in linux-firmware (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in hwe-next:
status: New → Fix Released
Changed in oem-priority:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers